# Check class abstract

Check Document

Inheritance
  - Object
  - GenericDocumentWrapper
  - Check
Implementers
  - AUSCheck
  - CANCheck
  - FRACheck
  - INDCheck
  - ISRCheck
  - KWTCheck
  - UAECheck
  - UnknownCheck
  - USACheck

## Constructors

Check(GenericDocument document)

## Properties

document → GenericDocument
  final inherited
fontType → TextFieldWrapper?
  type of check font
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
rawString → TextFieldWrapper
  Detected raw string
  no setter
requiredDocumentType → String
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited